Subject: Re: New source packaging format - requirements and proposal

From: Steve Greenland <[email-masked]>
Date: Sun, 30 Jun 1996 14:15:11 -0500 (CDT)

Juergen Menden wrote:
> 
> On Wed, 26 Jun 1996, Dale Scheetz wrote:
> > 
> > The Debian Source Format could be composed of:
> > 
> > 1. A control file. This would most likely be a diff file sufficient to
> > reconstruct the Debianized source tree from the original pristine source
> > tree.
> > 2. A tar.gz file containing the original pristine source tree.
> 
> bingo. thats it. the only point is, that these files should 
> _not_ be included in a single source format! 

Let me weigh in with another vote for keeping two files: the original
sources (not necessarily in their original form), and the 'debianize'
file. The 'debianize' file could be a patch file along with a list
of files that need their permissions changed and what those
permissions would be. The dpkg suite would contain a tool to extract
the patches (maybe just a callable gunzip/tar), apply the patches
(probably just call patch, right?), and then apply those permissions.If
you let the user choose whether to do the steps all at once or
individually, then the user could look at the patches before they
we're applied, and then look at the permissions file before _they_
we're applied. The only trust required would be in dpkg, and if
you don't trust dpkg, then you can't use Debian anyway, right?

My opinion is that anybody who wants to look at source is probably
sufficiently competent to figure out how to get two files instead of
one.

Ian, I realize I'm creating extra work for you....but I think
that (original source + debianize) does make more sense than
(debian source + undebianize). 

SteveG

-- 
The Mole - I think, therefore I scream 

				"Enough of this running shit."
[Sean Connery on chase scenes, from THE UNTOUCHABLES]